/* $Id: glotvschedule-wrapper.c 265 2008-05-01 11:14:35Z bd $ */

#include <stdlib.h>
#include <stdio.h>

#define PROGRAM_PATH "/usr/local/glotv/glotvschedule"
#define EXEC_DIR     "/usr/local/glotv/var"

int main(int argc, char *argv[]) {
  int i = 0;
  while (i < argc) {
    if (argv[i] == NULL) {
      fprintf(stderr, "glotvschedule-wrapper: null arg %d\n", i);
      exit(1);
    }
    i++;
  }
  if (argv[i] != NULL) {
      fprintf(stderr, "glotvschedule-wrapper: illegal extra arg at %d\n", i);
      exit(1);
  }
  setreuid(geteuid(),geteuid());
  chdir(EXEC_DIR);
  execv(PROGRAM_PATH, argv);
}

